#
#Note: smb4k needs suid root on smbmnt and smbumount
#
Summary:	SMB share browser
Summary(pl.UTF-8):	Przeglądarka zasobów SMB
Name:		smb4k
Version:	1.0.7
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.bz2
# Source0-md5:	1b15d7f0f4ad89b0fe730629ec53c2ae
URL:		http://smb4k.sf.net
BuildRequires:	QtCore-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSvg-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	docbook-dtd42-xml
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libxml2-progs
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	cups-backend-smb
Requires:	samba-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An SMB share browser for KDE.

%description -l pl.UTF-8
Przeglądarka zasobów SMB dla KDE.

%prep
%setup -q

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	.

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#fixing desktop file
%{__sed} -e "s@Categories=Qt;KDE;Utility;@Categories=Qt;KDE;Network;@g" -i $RPM_BUILD_ROOT%{_desktopdir}/kde4/%{name}.desktop

%find_lang %{name} --with-kde

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/lib{smb4kconfigdialog,smb4kcore}.so
rm -rf $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/smb4k
%attr(755,root,root) %{_libdir}/libsmb4kcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmb4kcore.so.4
%attr(755,root,root) %{_libdir}/libsmb4ktooltips.so
%attr(755,root,root) %{_libdir}/kde4/*.so
%attr(755,root,root) %{_libdir}/kde4/libexec/mounthelper
# *.la are required
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/de.berlios.smb4k.mounthelper.conf
%{_datadir}/apps/kconf_update/*
%{_datadir}/dbus-1/system-services/de.berlios.smb4k.mounthelper.service
%{_datadir}/polkit-1/actions/de.berlios.smb4k.mounthelper.policy
%{_datadir}/apps/smb4k
%{_datadir}/config.kcfg/smb4k.kcfg
%{_iconsdir}/*/*/*/*.png
%{_desktopdir}/kde4/%{name}.desktop
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/smb4k.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> de2cb3e
- release 2 (by relup.sh)

* Fri May 24 2013 Lukasz Masko <lmasko@pld-linux.org> 735c6c4
- Up to 1.0.7.

* Wed Mar 27 2013 Lukasz Masko <lmasko@pld-linux.org> 4954f7d
- Up to 1.0.6.

* Fri Jan 04 2013 Lukasz Masko <lmasko@pld-linux.org> 77377ae
- Up to 1.0.5.

* Wed Mar 14 2012 lmasko <lmasko@pld-linux.org> 30985d3
- Up to 1.0.1.

* Fri Feb 24 2012 lmasko <lmasko@pld-linux.org> 68a658f
- Up to stable 1.0.0.
- Chcnged URL.

* Sun Sep 25 2011 lmasko <lmasko@pld-linux.org> 9f3b291
- Up to 0.10.74 (1.0.0 beta 5). Builds and seems to work.
- May need cleen-ups.

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 09a2678
- BR: docbook-dtd42-xml, libxml2-progs
- replaced BR: kde4-kdebase-devel with BR: kde4-kdelibs-devel
- Warning: build requires soprano-devel (indirectly)

* Sun Nov 14 2010 shadzik <shadzik@pld-linux.org> 2355270
- 0.10.9

* Sun Nov 14 2010 shadzik <shadzik@pld-linux.org> 1707eae
- rel 2

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> bdd2726
- BR: QtSvg-devel, automoc4, cmake, gettext-devel, qt4-build, qt4-qmake

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 43f767e
- drop obsolete files

* Sat Oct 18 2008 Adam Gołębiowski <adamg@pld-linux.org> a671beb
- updated to 0.10.1

* Sat Oct 11 2008 Adam Gołębiowski <adamg@pld-linux.org> 3266f26
- BRs updated

* Sat Oct 11 2008 Adam Gołębiowski <adamg@pld-linux.org> f928bd5
- replaced with rm -rf in %install

* Sat Oct 11 2008 Adam Gołębiowski <adamg@pld-linux.org> 1223243
- updated to 0.10.0 (kde4-only from now on)

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ce1403a
- move to common patch

* Sun Aug 31 2008 Adam Gołębiowski <adamg@pld-linux.org> 5039d1f
- update to 0.9.7

* Sun Jun 15 2008 Adam Gołębiowski <adamg@pld-linux.org> b968196
- updated to 0.9.6

* Tue Jun 03 2008 shadzik <shadzik@pld-linux.org> 5d94fb0
- 0.9.5

